AddArtifact
Uploads an artifact to an agent space. Artifacts provide additional context for security testing, such as architecture diagrams, API specifications, or configuration files.
Request Syntax
POST /AddArtifact HTTP/1.1
Content-type: application/json
{
"agentSpaceId": "string",
"artifactContent": blob,
"artifactType": "string",
"fileName": "string"
}
URI Request Parameters
The request does not use any URI parameters.
Request Body
The request accepts the following data in JSON format.
- agentSpaceId
-
The unique identifier of the agent space to add the artifact to.
Type: String
Required: Yes
- artifactContent
-
The binary content of the artifact to upload.
Type: Base64-encoded binary data object
Required: Yes
- artifactType
-
The file type of the artifact. Valid values include TXT, PNG, JPEG, MD, PDF, DOCX, DOC, JSON, and YAML.
Type: String
Valid Values:
TXT | PNG | JPEG | MD | PDF | DOCX | DOC | JSON | YAMLRequired: Yes
- fileName
-
The file name of the artifact.
Type: String
Required: Yes
Response Syntax
HTTP/1.1 201
Content-type: application/json
{
"artifactId": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 201 response.
The following data is returned in JSON format by the service.
- artifactId
-
The unique identifier assigned to the uploaded artifact.
Type: String
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
You do not have sufficient access to perform this action.
HTTP Status Code: 403
- InternalServerException
-
An unexpected error occurred during the processing of your request.
HTTP Status Code: 500
- ResourceNotFoundException
-
The specified resource was not found. Verify that the resource identifier is correct and that the resource exists in the specified agent space or account.
HTTP Status Code: 404
- ThrottlingException
-
The request was denied due to request throttling.
HTTP Status Code: 429
- ValidationException
-
The input fails to satisfy the constraints specified by the service.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: